package com.jpsoft.shinestar.modules.base.service;

import com.jpsoft.shinestar.modules.base.entity.ExecuteFailLog;
import com.jpsoft.shinestar.modules.common.dto.Sort;
import com.github.pagehelper.Page;

import java.util.List;
import java.util.Map;

/**
 * @author 墨鱼_mo
 * @date 2020-5-15 17:27
 */
public interface ExecuteFailLogService {
    ExecuteFailLog get(String id);
    boolean exist(String id);
    int insert(ExecuteFailLog model);
    int update(ExecuteFailLog model);
    int delete(String id);
    List<ExecuteFailLog> list();
    Page<ExecuteFailLog> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, boolean count, List<Sort> sortList);
    List<ExecuteFailLog> findByDeviceNo(String deviceNo, int limit);
}
